Jump to content

Archived

This topic is now archived and is closed to further replies.

Terminou

Gentoo A64 + ATI 9800 PRO [Enfin Installé]

Recommended Posts

Attention, ne fait pas le malin, c'est pas toi le modo ici :yes:

Par contre, pour les raisons de clareté dont on a parlé, et afin de faciliter les rachereches futures, il serait peut être préférable de créer un autre sujet pour ça non ?

Share this post


Link to post
Share on other sites
oue me vu que je suis le chef de mon topic et que j'autorise mon pote KZR donc pas de souci.... :transpi:

Merci Poto :yes:

surtout qu'en faite on essaie de trouver un OS Linux 64Bits qui fonctionne du tonnerre avec nos configs assez similaire en fait :transpi:

Share this post


Link to post
Share on other sites

oue me vu que je suis le chef de mon topic et que j'autorise mon pote KZR donc pas de souci....

Ce n'est pas parce que l'on a crée le topic qu'on en est le chef.

Attention, ne fait pas le malin, c'est pas toi le modo ici

:transpi: :transpi:

urtout qu'en faite on essaie de trouver un OS Linux 64Bits qui fonctionne du tonnerre avec nos configs assez similaire en fait

Le titre et le sujet original du topic, c'est faire fonctionner gentoo sur un amd64, avec par la suite une ATI, ca n'est pas Quelle distro pour un amd64bits + ati ?

µD'ailleurs, ce topic commence a devenir serieusement gros, avec bcp de posts qui partent en live parfois. :yes:

Share this post


Link to post
Share on other sites
Fedora Core 2 64Bits :pleure:

non il ne se fige pas et reconnait ma 9800Pro, même si ça rame grave sous TuxRacer :chinois:

Ben ouais, avec les drivers 2D, ça marche... ça aucun problème...

Avec ATI, le seul problème, c'est quand on veut utiliser leurs drivers pour faire de la 3D.

(et de ce côté là, en 64bits, quelle que soit la distribution, c'est perdu d'avance...)

Share this post


Link to post
Share on other sites

Salut les filles!!!!!

Mission accomplished (Enfin presque)...... JE vous ecrit via Mozilla sur mon nunux.....Ce qui veut dire que j'ai installe GNOME :transpi: ..j'ai quelques petits problemes a resoudre (souris et clavier)

Share this post


Link to post
Share on other sites

:transpi: alors quel effet ça fait de découvrir le monde réel ? t'as l'impression d'ouvrir les yeux pour la première fois ? :D lol, je rigole

bah, c'est cool :), bien joué pour tes drivers, je me doute que ça n'a pas du être une partie de plaisir

Share this post


Link to post
Share on other sites

oue j'ai bien galere....

Deja le server X ne demarrait pas apres avoir taper toutes les comandes pour installer Gnome (comme decrit sur le site de gentoo). Et fait il fallait aussi installer un truc X11 en plus.

maitnenat il faut que je vois pourquoi le scroll via la molette ne marche pas et pourquoi le clavier est mal configure (j'ai pas les lettres avec accent....) et il faut installer les carte son SB live . Hors de l'install j'ai une erreur parce que je n'ai pas un noyau de type 2.4.X

Calculating dependencies ...done!

>>> emerge (1 of 1) media-sound/emu10k1-0.20a-r5 to /

>>> md5 src_uri ;-) emu10k1-v0.20a.tar.bz2

* /usr/src/linux is a symbolic link

* Determining the real directory of the Linux kernel source code

* Building for Linux 2.6.8.1 found in /usr/src/linux

!!! ERROR: media-sound/emu10k1-0.20a-r5 failed.

!!! Function pkg_setup, Line 26, Exitcode 1

!!! This module is only compatible with 2.4.x kernels.

cool maintenant je epux vous faire des copier coller

Share this post


Link to post
Share on other sites
JE vous ecrit via Mozilla sur mon nunux.....Ce qui veut dire que j'ai installe GNOME

Aucun lien, mozilla marche aussi avec kde...

En fait, si il installe mozilla, c'est juste pour faire marcher epiphany (qui est le navigateur par défaut de gnome, très rapide à lancer, d'ailleur...)

maitnenat il faut que je vois pourquoi le scroll via la molette ne marche pas et pourquoi le clavier est mal configure (j'ai pas les lettres avec accent...

...configure X...

et il faut installer les carte son SB live . Hors de l'install j'ai une erreur parce que je n'ai pas un noyau de type 2.4.X

...normal : c'est inclu dans le 2.6, donc il faut juste mettre le driver dans le noyau (en dur ou module) pour que ça marche tout seul (avec alsa :transpi:)

Share this post


Link to post
Share on other sites
Aucun lien, mozilla marche aussi avec kde...

En fait, si il installe mozilla, c'est juste pour faire marcher epiphany (qui est le navigateur par défaut de gnome, très rapide à lancer, d'ailleur...)

...configure X...

...normal : c'est inclu dans le 2.6, donc il faut juste mettre le driver dans le noyau (en dur ou module) pour que ça marche tout seul (avec alsa :roll:)

Bon M'sieur Tuxxx, on arrete de briser ma joie svp...

Je pouvais pas ecrire sur mozilla avant car je n'avais pas de session Graphique alors KDE ou GNOME ce n'est pas la question......

Bon aller :transpi: pour tlm.. :tchintchin: :D:D:smack:

Share this post


Link to post
Share on other sites

bwah, t'aurais pu quand même ;-) en lançant X et en lancant des applications depuis la console mais c'est un peu barbare je trouve ;-)

edit : a la tienne :transpi: =)

Share this post


Link to post
Share on other sites

eeeeeeeuu les billoutes je pige po un truc

Mon Gnome user Root merdouille....Toutes les fenetre n'ont plus l'entete avec les noms et les racourcis pour fermer, reduire ou aggrandir ????

En mode Terminou y a pas de souci....tout est ok

ensuite j'ai installé les pilote ATI comme il faut. c'est bizarre via fglrxinfo j'obtiens mesa blablabla

glxgar me donne pas de bon resultats

Bon je me dis: Tiens on vire Gnome et on reinstall

donc je fais : emerge unmerge gnome

blablabla ca se desinstall en 2s (est ce bien desintallé)

je reboot (habite de windobe) et zoup j'ai gnome qui se charge :incline::incline::smack::keskidit::keskidit::keskidit::keskidit:

Bizarre hein?

ensuite je tape fglrxinfo

et k s que je vois? Pilote ATI RADEON........blablabl

un ch'tit cout de glxgear et je tourne à 85FPS de moyenne ...

Quoi?????? mais en fais c'est parce que j'ai mis synchro verticale avec le moniteur

pffiiiioooouuu soulagé..... je lance UT2K4 patché et meme probleme qu'avec la RED HAT 9.0 avec mon ancienne config

au bout d'un certain temps aleatoire mon ecran se remplie de triangle et de traits type couleur VGA 256 Couleurs... Seul un ESC sauve la mise....

Avec vous ce meme probleme car mon UTmarche super bien sous win2K

Edit: Bon coment faire pour virer tout ce qui est interface graphique? pour tout reinstaller en propre?

Share this post


Link to post
Share on other sites
BUT?? :incline::incline:

ben il ne faut pas lancer de session graphique avec un utilisateur "root" !!!

pour ton fglrx, ben ... ATI quoi...

pour ut2004, chez moi aucun problème, ça marche niquel... mais vu que ça utilise la CG, tu dois avoir un pb avec les drivers...

Share this post


Link to post
Share on other sites

:incline: tres bon LIEN pour l'installation d'une ATI avec Gentoo.

Cela parle d'abord de ce qu'il faut mettre ou non lors de la compilation du noyau puis les etapes pour l'install des pilotes eux meme.

Extrait :

Section 2 - Kernel configuration

Question 2.1: Which kernel options are important for the ATI drivers?

The following kernel options must be set correctly:

Loadable module support -> Enable loadable module support: ENABLED

Loadable module support -> Module unloading: ENABLED

Loadable module support -> Automatic kernel module loading: ENABLED

The above 3 options will generally be enabled in most kernels anyway, but since it wouldn't be possible to load any modules without them, they are required to use the ATI drivers.

Processor type and features -> MTRR (Memory Type Range Register) support: ENABLED

MTRR support should always be enabled - if not, the driver may run very slowly, if it runs at all

Character Devices -> /dev/agpgart (AGP Support): ENABLED OR MODULE (if you don't compile this as a module, you'll have to set "UseInternalAGPGART" to "no" in your XF86Config file)

This option enables AGP support in the kernel, which is usually a good thing to have :)

Character Devices -> (pick the correct AGP chipset option from the list, depending on your motherboard): ENABLED OR MODULE

Examples:

Motherboard: nVidia nForce2 based ---- NVIDIA nForce/nForce2 chipset support

Motherboard: VIA KT266/333/400 based ---- VIA chipset support

NB: compiling this option as a module is only possible in 2.6 kernels.

NB: AMD64 users: if you want to use the drivers in 32-bit mode (no 64-bit drivers yet), you must also select the AMD Opteron/Athlon64 on-CPU GART support option in addition to those described above.

Character Devices -> Direct Rendering Manager (XFree86 4.1.0 and higher DRI support): DISABLED

This option is not required, and will almost certainly prevent the driver from working if enabled.

NB: in 2.6 kernels, the final 3 settings can be found in the "Device Drivers" section of the kernel configuration.

Question 2.2: Which kernel versions can I use with the drivers?

All versions of the drivers in the portage tree should be compatible with 2.4.x kernels. Any version from 2.9.13-r1 or above should also work on 2.6 kernels.

Section 3 - Installing the drivers

Question 3.1: How do I install the drivers?

NOTE: this is based on the guides that were originally posted in the following thread on the Gentoo forums: http://forums.gentoo.org/viewtopic.php?t=73260.

The first stage of installing the drivers is configuring your kernel properly. Q2.1 lists the relevant options and what they should be set to.

Next, check that the /usr/src/linux symlink is pointing to the directory containing the sources for your current kernel. If you're not sure which kernel version you're running, use the uname -r command to display it. As an example, if you're running kernel 2.6.1, then ls -l /usr/src/linux should show the following:

lrwxrwxrwx 1 root root 26 Feb 6 14:19 /usr/src/linux -> /usr/src/linux-2.6.1. If the symlink is correct, move on to step 3. If it's not correct, run the command rm -f /usr/src/linux followed by ln -s /usr/src/linux-`uname -r` /usr/src/linux, which will recreate the symlink and point it to the correct kernel source directory.

If you had to change any kernel options in step 1, you should now recompile the kernel and reboot. To recompile the kernel run the following commands from the /usr/src/linux directory.

For 2.4 kernels: make dep && make clean bzImage modules modules_install

For 2.6 kernels: make && make modules_install

If you have to mount your /boot partition, do so now (mount /boot), then copy your new bzImage over: cp /usr/src/linux/arch/i386/boot/bzImage /boot/<your kernel name>

Remember to update your bootloaders configuration file if necessary, then reboot.

Now you should be ready to install the drivers, which you can do by running emerge ati-drivers. When the emerge has completed, you should run the fglrxconfig utility. This is an altered version of xf86config and will generate a new /etc/X11/XF86Config-4 file for you. Don't worry if you're not sure what to answer for some of the questions the program asks - they can all be changed later by editing the XF86Config-4 file. Be aware that it may not set up your mouse or keyboard correctly - if you have a working configuration file, keep a copy of it somewhere so that you can refer to it if you encounter problems.

At one point, the program will ask you "Do you want to use the external AGP GART module (y/n)? [n]". It wants to know if it should rely on the AGP support contained in the driver itself, or if it should use the kernels own AGP modules. The answer to this question will vary from system to system - sometimes either option will work, sometimes only one will work. "n" means use the drivers AGP support, "y" means use the kernel AGP support. This setting can be changed at a later stage through the "UseInternalAGPGART" option in the /etc/X11/XF86Config-4 file. Setting it to yes means use the AGP support in the driver, setting it to no means use the AGP support of the kernel (this requires kernel AGP to be enabled - see Q2.1).

IMPORTANT: Xorg users should rename the config file to /etc/X11/xorg.conf before continuing.

Run opengl-update ati to switch to the ATI OpenGL libraries.

If you're using the kernel AGP support (see step 4), and have it compiled as modules, load them now. For 2.4 kernels, you just need to load the agpgart module. For 2.6 kernels, you need to load agpgart and a second module, the name of which is dependent on your motherboard. nForce users should load nvidia_agp, VIA users via_agp, Intel users intel_agp, and so on. You should add the modules that you require to /etc/modules.autoload.d/kernel-2.4 or /etc/modules.autoload.d/kernel-2.6 to ensure they are loaded on every boot. You should also add the fglrx module to the list, after the kernel AGP modules.

Before starting X, ensure that you have all the necessary modules loaded and that your XF86Config file is configured to your liking.

Once X is started, you can check if Direct Rendering (ie 3D acceleration) is working by running glxinfo | grep direct. This should display direct rendering: Yes if everything is working.

Ce qui est tres different de la méthode de Tuxx dans son topic Gentoo et les ATI

D'ailleur je pense que tupourrais rajouter ce lien nan?

il ne suffit pas de faire un emerge ati-drivers et ensuite enchainer par un opengl_update ati immediatement (c'est ce que j'avais compris dans ta méthode Tuxxx)

Edit :

Bon tout est installé . il me reste juste à faire le emerge ati-drivers....

Edit : Zut de crotte...

!!! ALL abuilds that could satisfy ati-drivers have been masked

!!! One of the following masked package is required to complete your request :

media-video/ati-drivers-8.8.25-r3 masked by : -* keyword)

blablabla (y a pleins de pilotes)

Ca se termine par

media-video/ati-drivers-3.14.6 (masked by : -* keyword)

Bon ca commence à m'enerver.... V chercher sur le forum Gentoo....

Share this post


Link to post
Share on other sites

Un Ch'tit UP pour voir dire que Enfin Ca marche..

Gentoo pour A64 avec une ATI RADEON c'est possible....

Attendez qquesm inutes je vais updater ce topic car j'ai rencontré des problemes lors du emerge ati-drivers.... (il faut que je me retrouve les solution du forum Gentoo) :-D

Edit :

VOici le permier probleme :

---INVALID atom in /etc/portage/package.keywords : x11-base/opengl-update-2.1_pre4

calculating dependencies

!!! All ebuilds that could satisfy ">=x11-base/opengl-update-2.1_pre1" have been masked

!!! one of the following masked packages is required to complete your request:

-x11-base/opengl-update-2.1_pre4 (masked by : ~amd64 keyword)

for more info see masked package blablabla

!!! (dependencies required by "media-video/ati-drivers-8.8.25-r3" [ebuild])

Solution :

ACCEPT_KEYWORDS="~amd64" emerge --nodeps opengl-update

ACCEPT_KEYWORDS="~amd64" emerge --nodeps ati-drivers

emerge xorg-x11

fglrxconfig ====> faites vos choix

puis apres faire un opengl-update ati

Copier le fichier XF86Config.conf dans xorg.conf

Ensuite j'ai rencontré ce probleme en lancant startx

Using config file : "/etc/X11/xorg.conf

Using vt 7

(EE) Failed to load module "Keybord" (module does not exist, 0)

(WW) fglrx : No matching Device section for instance (BUSID PCI:1:0:1) found

(EE) NO input driver matching 'keyboard'

No core keyboad

Fatal server error:

Failed to initialize core devices

pourtant j'avais bien le clavier dans mes modules du noyau

LA solution est toute conne mais bon on peut rien y faire

Si vous comprenez la langue de mozart le lien est LA

Donc en gros il faut éditer le fichier xorg.conf. Touver l'entrée suivante

Driver "Keyboard"

Et remplacer simplement le K majuscule par une minuscule

Driver "keyboard"

C'etait tout con mais bon

Voila voulou.. maintenant ca marche et j'utilise deux Bureaux

GNOME (ok c'est long à compiler mais bon)

sinon un qui est tres bien et rapide à compiler c'est enlightenment.....

Bientot je ferai des screenshots du bureau...

Share this post


Link to post
Share on other sites

tiens, j'avais eu le même problème avec Keyboard -> keyboard ...

pourtant, tu tournait avec Xorg avant quand même, non? :transpi:

Share this post


Link to post
Share on other sites
tiens, j'avais eu le même problème avec Keyboard -> keyboard ...

pourtant, tu tournait avec Xorg avant quand même, non? :transpi:

à mon avis, c'est le prog de config d'ATI qui fait pas bien les choses...

Share this post


Link to post
Share on other sites

J'ai rencontré exactement le meme probleme de "k" sur une machine au taf la semaine derniere, plus un probleme X. Je suppose que c'est parce que X a été partiellement mis à jour suite à une mise à jour coimplete gentoo, et comme des modules/fichiers étaient utilisé par le systeme, tout n'a pas pu etre bien mis à jour.

Je conseille de faire les mises à jour importantes en mode terminal, sans serveur X de lancé lorsque les mises concernant X et surtout les drivers ATI, ou ptet les NVIDIA lorsqu'on utilise le package gentoo, pour ma part je prefere la version manuelle de Nvidia, pour changer... :transpi:

Share this post


Link to post
Share on other sites

Y a un truc que je ne capte pas....

J'ai fait emerge gaim.. oki ca marche

par contre j'ai fait Tuxracr, Frozen bobble.. super c'est compilé mais je ne vois pas ces applications dans les menus déroulant.. que ce soit Gnome ou enlightenment.....

je veux regarder les propriétés du user Terminou mais lorsque je selectionne dans le menu User and group, (je rentre le password Root) j'ai une poipup qui s'affiche...

an unexpected error occured.. Et la fenetre User and group se ferme..

idem avec d'autres appli......

Y a un moyen de voir d'ou peut venir le(s) probleme(s)?

Share this post


Link to post
Share on other sites

tu les as compilés avec un USE="kde" parce que je crois que c'est le flag qui se charge de l'integration dans le menu kde (rescpectivement gnome) ?

Share this post


Link to post
Share on other sites

non je n'ai rien spécifié pour le flag use.. je mets jamais rien pour un emerge blablabla.....

Share this post


Link to post
Share on other sites

:roule: et après tu te plein qu'il manque des fonctionnalités...

quand tu fais emerge -pv blabla

s'il te propose gnome, c'est justement pour l'integrer dans gnome avec un USE

Share this post


Link to post
Share on other sites

×
×
  • Create New...